[solution] Invalid server response for http://magento-community

Article ID #1093
Revision: 1.8
Last update: 2011-12-29

Symptoms

The following error message is shown on attempt to install extension in Magento 1.5 or Magento 1.6 version:

Invalid server response for http://magento-community

 

Cause

The reason is that Magento Connect 1.0 extebsion key is used instead of version 2.0.

 

Solution

Since Magento 1.5 version you need to use Magento Connect version 2.0 extension keys for extension installation.

Please refer to How do I install Magento module / extension via Magento Connect article for detailed instructions.

Magento Connect v2.0 extension key have the following form:

 

http://connect20.magentocommerce.com/community/ExtensionDeveloper_ExtensionName

 

or (in a short form):

 

community/ExtensionDeveloper_ExtensionName

 

instead of 1.0 version:

 

magento-community/ExtensionDeveloper_ExtensionName

 

 

To get Magento Connect version 2.0 key you need to select the 2.0 version at the extension page on MagentoConnect site:

Selecting Magento Connect 2.0 version key

 



Did this article help you solve your issue?


Average rating: 3.97 (29 votes)

completely useless 1 2 3 4 5 most valuable

Tags: ,